<template>
  <div class="scan-qr-section">
    <div class="wrap-content position-relative py-5">
      <img
        src="@/assets/img/game_overlay.png"
        class="position-absolute top-0 start-0 w-100"
        style="height: 100%; object-fit: cover; z-index: -1;"
      />
      <div class="content-section container">
        <div class="row justify-content-center">
          <div class="col col-11 col-lg-7">
            <div class="form-wrap py-4 py-lg-5 px-4 px-lg-5">
              <div class="d-flex justify-content-center pb-3">
                <img v-if="platform === 'appstore'" src="@/assets/img/appstore-ic.png" style="width: 120px; height: 120px; object-fit: contain;" />
                <img v-else src="@/assets/img/ggplay-ic.png" style="width: 120px; height: 120px; object-fit: contain;" />
              </div>
              <h2 class="text-danger fw-bold text-center mb-3 mb-lg-5">Congratulations, <br />you've signed up!</h2>
              <div class="mb-4 d-flex justify-content-center align-items-center">
                <img src="@/assets/img/qr-img.png" width="160">
              </div>
              <div class="d-flex justify-content-between align-items-center pt-3 pb-5">
                <div class="d-flex align-items-center">
                  <i class="fas fa-chevron-left text-danger" style="font-size: 22px;"></i>
                  <p class="text-danger mb-0 ms-3" style="font-size: 22px; cursor: pointer;" @click="handleClickBack">Back</p>
                </div>
                <button class="btn btn-danger fw-bold rounded-pill px-5" @click="handleClickDone">Done</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      platform: 'appstore'
    }
  },
  methods: {
    handleClickDone() {
      this.$router.push('/').catch(() => {});
    },
    handleClickBack() {
      this.$router.push('/signup-success').catch(() => {});
    }
  },
  mounted () {
    let type = this.$route && this.$route.params && this.$route.params.type ? this.$route.params.type : 'appstore';

    this.platform = type;
  }
};
</script>

<style scoped>
.wrap-content {
  min-height: 100vh;
}
.form-wrap {
  background: #fff;
  border-radius: 32px;
}
#username,
#cf-password,
#name,
#password {
  border-top: none;
  border-left: none;
  border-right: none;
  border-radius: 0;
}

@media screen and (max-width: 991px) {
  i {
    font-size: 22px !important;
  }
  .brand-img img {
    width: 42px !important;
  }
  .remember-me label {
    font-size: 14px !important;
  }
}
</style>
